Summary: Use pandoc to create XML suitable for xml2rfc
Name: pandoc2rfc
Version: 2.1.18
Release: 1%{?dist}
License: Public Domain and GPLv2+
Url:  https://github.com/miekg/pandoc2rfc/
Source: https://github.com/miekg/%{name}/archive/%{version}.tar.gz
Group: Applications/Internet
#Requires: python-xml2rfc 
Requires: python libxslt pandoc
BuildArch: noarch

%description
Using a Markdown syntax variant, called Pandoc, and a bit of XML [RFC-2629]
as a source format for wrintg documents in the Internet-Drafts (I-Ds) and
Request for Comments (RFC) series.

The goal of this technique is to let an author of an I-D focus on the
main body of text without being distracted too much by XML tags, it
does however not alleviate the need to typeset some files in XML.

%prep
%setup -q %{version}

%build
make

%install
# fix datadir
for f in Makefile pandoc2rfc; do sed -i 's:/usr/lib:%{_datadir}:' $f; done
# fix version
sed -i 's/2.1.16/%{version}/' pandoc2rfc

make DESTDIR=${RPM_BUILD_ROOT} install

%files 
%doc AUTHORS CONTRIBUTORS  LICENSE *mkd ChangeLog
%{_bindir}/pandoc2rfc
%{_bindir}/rfcmarkup
%dir %{_datadir}/pandoc2rfc
%dir %{_datadir}/pandoc2rfc/transform.xsl
%doc %{_mandir}/man1/*

%changelog
* Fri Aug 30 2013 Paul Wouters <pwouters@redhat.com> - 2.1.18-1
- Initial package

